---
updatedAt: 2026-02-10T11:58:58.000Z
---

# List Org. Node Statuses

**This API requires the Account Administrator role.**

Lists the current statuses for the given organization nodes.

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "x-explorer-enabled": false,
  "x-samples-languages": [
    "curl",
    "node",
    "java",
    "javascript",
    "python",
    "go"
  ],
  "info": {
    "title": "Admin - Account",
    "description": "Multi Tenancy Service REST APIs are used to create,update delete,fetch the Account and Account hierarchy.",
    "contact": {
      "name": "Avaya API Team",
      "url": "https://developers.avayacloud.com/onecloud-ccaas",
      "email": "apiteam@avaya.com"
    },
    "license": {
      "name": "Avaya Software Development Kit (SDK) Software License Terms",
      "url": "http://support.avaya.com/css/P8/documents/101038288"
    },
    "version": "1.0.1"
  },
  "security": [
    {},
    {
      "BearerAuth": [],
      "AppKey": []
    }
  ],
  "servers": [
    {
      "url": "{protocol}://{server}{basePath}",
      "description": "Open API",
      "variables": {
        "protocol": {
          "enum": [
            "https"
          ],
          "default": "https"
        },
        "server": {
          "default": "HOST-REGION.api.avayacloud.com"
        },
        "basePath": {
          "default": "/api/admin/account/v1"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Organization Structure",
      "description": "APIs to manage a customer's organization structure"
    }
  ],
  "paths": {
    "/accounts/{accountId}/organization-nodes:listStatuses": {
      "post": {
        "tags": [
          "Organization Structure"
        ],
        "summary": "List Org. Node Statuses",
        "description": "**This API requires the Account Administrator role.**\n\nLists the current statuses for the given organization nodes.\n",
        "operationId": "listOrganizationNodeStatuses",
        "parameters": [
          {
            "$ref": "#/components/parameters/accountId"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/OrganizationNodeIdList"
              },
              "examples": {
                "Request-Organization-Node-Statuses": {
                  "$ref": "#/components/examples/OrganizationNodeStatusesRequest"
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/OrganizationNodeStatusResponse"
                  }
                },
                "examples": {
                  "OrganizationNode-Statuses": {
                    "$ref": "#/components/examples/OrganizationNodeStatuses"
                  },
                  "Failed-OrganizationNode-Statuses": {
                    "$ref": "#/components/examples/FailedOrganizationNodeStatuses"
                  },
                  "InProgress-OrganizationNode-Statuses": {
                    "$ref": "#/components/examples/InProgressOrganizationNodeStatuses"
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/ErrorConstraintViolation"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/OrganizationNodeNotFound"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Problem": {
        "type": "object",
        "description": "<b>Problem Detail</b> as a way to carry machine-readable details of errors in a HTTP response to avoid the need to define new error response formats for HTTP APIs <a href=\"https://tools.ietf.org/html/rfc7807\">RFC 7807</a>\n",
        "properties": {
          "type": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the problem type. When dereferenced, it SHOULD provide human-readable documentation for the problem type (e.g., using HTML).\n",
            "default": "about:blank",
            "example": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#constraint-violation"
          },
          "title": {
            "type": "string",
            "description": "A short, summary of the problem type. Written in english and readable for engineers (usually not suited for non technical stakeholders and not localized).\n",
            "example": "Service Unavailable",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "description": "The HTTP status code generated by the origin server for this occurrence of the problem.\n",
            "minimum": 100,
            "maximum": 600,
            "exclusiveMaximum": true,
            "example": 503,
            "nullable": true
          },
          "detail": {
            "type": "string",
            "description": "A human readable explanation specific to this occurrence of the problem.\n",
            "example": "Connection to database timed out",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.\n",
            "nullable": true
          },
          "violations": {
            "type": "array",
            "description": "A list of violations that occurred as a result of invalid data provided as part of a request.\n",
            "nullable": true,
            "items": {
              "type": "object",
              "properties": {
                "field": {
                  "type": "string",
                  "description": "The name of the field in the request that caused the violation. This can be the name of a path parameter, query parameter, or a field within the request body.\n",
                  "example": "accountId"
                },
                "message": {
                  "type": "string",
                  "description": "A human readable explanation specific to this occurrence of the violation.\n",
                  "example": "must match \"^[a-zA-Z]{6}$\""
                },
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "The violation code generated by the server for this occurrence of the violation. Use this code when implementing any error handling logic instead of the message, as the message can change.\n",
                  "example": 20006
                }
              }
            },
            "example": [
              {
                "field": "emailAddress",
                "message": "must not be null",
                "code": 20002
              },
              {
                "field": "accountId",
                "message": "must match \"^[a-zA-Z]{6}$\"",
                "code": 20006
              }
            ]
          }
        }
      },
      "OrganizationNodeIdList": {
        "description": "List of organization node Ids",
        "type": "object",
        "properties": {
          "organizationNodeIds": {
            "type": "array",
            "maxItems": 50,
            "items": {
              "type": "string",
              "example": "ADFSET",
              "minLength": 6,
              "maxLength": 6
            },
            "example": [
              "ADFSET",
              "WSFSET"
            ],
            "description": "List of organization node Ids"
          }
        }
      },
      "OrganizationNodeStatusResponse": {
        "description": "Status of OrganizationNode",
        "type": "object",
        "properties": {
          "organizationNodeId": {
            "description": "The unique 6 character id that represents the organization node.",
            "type": "string",
            "example": "AFSRFS",
            "minLength": 6,
            "maxLength": 6
          },
          "action": {
            "type": "string",
            "enum": [
              "ADD",
              "UPDATE",
              "DELETE"
            ],
            "example": "ADD",
            "description": "Action done for the account feature",
            "readOnly": true
          },
          "status": {
            "type": "string",
            "enum": [
              "COMPLETED",
              "IN_PROGRESS",
              "FAILED",
              "DELETED",
              "DELETE_FAILED",
              "DELETE_IN_PROGRESS"
            ],
            "example": "COMPLETED",
            "readOnly": true
          },
          "message": {
            "type": "string",
            "example": "Feature added successfully",
            "readOnly": true
          }
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "This API uses Bearer Token Authorization Flow",
        "bearerFormat": "JWT"
      },
      "AppKey": {
        "type": "apiKey",
        "in": "header",
        "name": "appkey",
        "description": "This API needs an appKey as header"
      }
    },
    "parameters": {
      "accountId": {
        "name": "accountId",
        "description": "The unique 6 character internal id that represents the customer account.",
        "required": true,
        "in": "path",
        "schema": {
          "type": "string",
          "minLength": 6,
          "maxLength": 6,
          "pattern": "^[a-zA-Z]{6}$",
          "example": "ABCDEF"
        }
      }
    },
    "examples": {
      "OrganizationNodeStatusesRequest": {
        "description": "Request for OrganizationNode Statuses",
        "value": {
          "organizationNodeIds": [
            "GFADED",
            "SWECDR"
          ]
        }
      },
      "OrganizationNodeStatuses": {
        "description": "List of OrganizationNode statuses",
        "value": [
          {
            "action": "ADD",
            "status": "COMPLETED",
            "message": "Completed successfully",
            "organizationNodeId": "DAERCS"
          }
        ]
      },
      "FailedOrganizationNodeStatuses": {
        "description": "List of OrganizationNode statuses",
        "value": [
          {
            "action": "ADD",
            "status": "FAILED",
            "message": "Operation failed",
            "organizationNodeId": "ADESFR"
          }
        ]
      },
      "InProgressOrganizationNodeStatuses": {
        "description": "List of OrganizationNode statuses",
        "value": [
          {
            "action": "ADD",
            "status": "IN_PROGRESS",
            "message": "Operation is in progress",
            "organizationNodeId": "AFSDET"
          }
        ]
      },
      "OrganizationNodeNotFoundError": {
        "description": "OrganizationNode not found",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#resource-not-found",
          "title": "OrganizationNode Not Found",
          "status": 404,
          "detail": "Organization Node with organizationNodeId:ASDAES not found."
        }
      },
      "ConstraintViolationError": {
        "description": "Constraint Violation",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#constraint-violation",
          "title": "Constraint Violation",
          "status": 400,
          "detail": "A problem that indicates a syntactically correct, yet semantically illegal request. The Server can not process this request until the client resolves the semantic errors described in the violations section.",
          "violations": [
            {
              "field": "accountId",
              "message": "must match \"^[a-zA-Z]{6}$\"",
              "code": 20006
            }
          ]
        }
      },
      "UnauthorizedError": {
        "description": "Forbidden",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#unauthorized",
          "title": "Unauthorized",
          "status": 401,
          "detail": "This operation requires authentication. See https://developers.avayacloud.com/onecloud-ccaas/docs/how-to-authenticate-with-ccaas-apis"
        }
      },
      "ForbiddenError": {
        "description": "Forbidden",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#forbidden",
          "title": "Forbidden",
          "status": 403,
          "detail": "According to the access control policy the current user and/or accountId does not have permission to access this resource."
        }
      },
      "ServerError": {
        "description": "Internal Server Error",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#server-error",
          "title": "Server Error",
          "status": 500,
          "detail": "An internal server error was encountered."
        }
      }
    },
    "responses": {
      "Unauthorized": {
        "description": "Unauthorized",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/UnauthorizedError"
              }
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ForbiddenError"
              }
            }
          }
        }
      },
      "OrganizationNodeNotFound": {
        "description": "Not Found",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/OrganizationNodeNotFoundError"
              }
            }
          }
        }
      },
      "InternalServerError": {
        "description": "All other application errors",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ServerError"
              }
            }
          }
        }
      },
      "ErrorConstraintViolation": {
        "description": "Constraint Violation",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ConstraintViolationError"
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "proxy-enabled": true
  }
}
```